import { StyleSheet } from 'react-native'
import { Dimensions } from 'react-native'
import Constants from 'expo-constants'

export const screenWidth = Math.round(Dimensions.get('window').width)
export const screenHeight = Math.round(Dimensions.get('window').height)

export const StatusBarHeight = Constants.statusBarHeight

export const backgroundScreen = '#1D1D1D'
export const colorText = '#ffffff'
export const backgroundBlock = '#000000'
export const backgroundHeader = '#99633E'

const styles = StyleSheet.create({
  sectionContainerStyle: {
    left: 10,
    width: screenWidth - 20,
    marginTop: 10,
  },
  subSectionContainerStyle: {
    width: screenWidth - 30,
    left: 10,
    top: 5,
  },
  defaultText: {
    fontSize: 16,
    color: '#fff',
    lineHeight: 20,
    fontFamily: 'PTSans',
    opacity: 0.8,
    marginTop: 6,
  },
  defaultHeader: {
    fontSize: 21,
    color: '#fff',
    lineHeight: 25,
    opacity: 0.8,
    fontFamily: 'PTSansNarrow',
    textTransform: 'uppercase',
    fontWeight: 'bold',
  },
  defaultDate: {
    fontSize: 14,
    color: '#fff',
    lineHeight: 20,
    opacity: 0.4,
    fontFamily: 'PTSansNarrow',
  },
  headerTextContainer: {
    display: 'flex',
    justifyContent: 'space-evenly',
    paddingLeft: 19,
    width: screenWidth - 100,
  },
  headerContentText: {
    color: '#fff',
    fontFamily: 'PTSansNarrow-Bold',
  },
  headerContentBoldText: {
    fontSize: 24,
    fontWeight: 'bold',
    color: '#fff',
    textTransform: 'uppercase',
    fontFamily: 'PTSansNarrow-Bold',
  },
  headerFlexContainer: {
    display: 'flex',
    justifyContent: 'space-between',
  },
  headerBackgroundImage: {
    zIndex: 3,
    width: 275,
    height: 84,
    right: 0,
    position: 'absolute',
    bottom: 0,
  },
  drawerBackgroundImage: {
    width: 205,
    height: 350,
    position: 'absolute',
    right: 0,
    bottom: 0,
  },
  drawerIcon: {
    width: 20,
    height: 20,
    backgroundColor: '#000000',
    marginLeft: 20,
    marginRight: 20,
  },
  scrollviewLastItem: {
    marginBottom: 16,
  },
  scrollViewFlex: {
    flex: 1,
    paddingBottom: 100,
    backgroundColor: backgroundScreen,
  },
  docListText: {
    marginLeft: 16,
    fontSize: 17,
    color: colorText,
    fontFamily: 'PTSans',
  },
  docListpoint: {
    width: 8,
    height: 8,
    borderRadius: 4,
    backgroundColor: colorText,
    marginTop: 16,
  },
  doctorlistItemWrapper: {
    display: 'flex',
    flexDirection: 'row',
    margin: 16,
  },

  backBtnText: {
    color: 'white',
    fontSize: 17,
    marginBottom: 3,
  },
  backBtnContainer: {
    width: 80,
    marginLeft: 12,
    marginTop: 12,
    display: 'flex',
    flexDirection: 'row',
    alignItems: 'center',
  },
  arrowBackBtn: {
    width: 12,
    height: 20,
  },
  appointCardText: {
    fontSize: 15,
    fontWeight: 'normal',
  },
  appointCardHeader: {
    fontSize: 21,
    fontWeight: '900',
  },
  appointCard: {
    left: 16,
    top: 19,
    display: 'flex',
    justifyContent: 'center',
  },
  registrationHeaderText: {
    fontSize: 22,
    fontWeight: '600',
    textAlign: 'center',
    marginBottom: 70,
    marginTop: 62,
  },
  regText: {
    fontSize: 17,
    textAlign: 'left',
    color: '#2536E7',
    marginLeft: 16,
    marginTop: 16,
    fontFamily: 'PTSans',
  },
  regTextContainer: {
    display: 'flex',
    alignItems: 'baseline',
    justifyContent: 'center',
    flexDirection: 'row',
    marginTop: 51,
  },
  point: {
    width: 8,
    height: 8,
    borderRadius: 4,
    backgroundColor: '#4352FF',
  },
  loginPic: {
    resizeMode: 'contain',
    width: screenWidth - 200,
    height: screenWidth - 200,
    left: 100,
    top: 10,
  },
  infoPageContainer: {
    height: screenHeight,
    backgroundColor: backgroundScreen,
  },
  infoListTextGray: {
    color: 'rgba(255, 255, 255, 0.6)',
    fontSize: 15,
    fontFamily: 'PTSans',
  },
  infoTextHeader: {
    fontWeight: '600',
    fontSize: 18,
    color: colorText,
  },
  infoListTextContainer: {
    marginLeft: 16,

    width: screenWidth - 90 - 64,
  },
  infoListpic: {
    height: 90,
    width: 90,
    borderRadius: 45,
  },
  mainMenuCardPic: {
    height: 72,
    width: 72,
    borderRadius: 36,
  },
  mainMenuCard: {
    height: 100,
    width: screenWidth - 48,
    display: 'flex',
    justifyContent: 'flex-start',
    alignItems: 'center',
    paddingLeft: 16,
    flexDirection: 'row',
  },
  mainMenuCardText: {
    fontWeight: '600',
    fontSize: 18,
    textAlign: 'center',
    marginLeft: 32,
  },
  infoPageItem: {
    marginLeft: 16,
    width: screenWidth - 32,
    marginTop: 16,
    flex: 1,
    display: 'flex',
    justifyContent: 'flex-start',
    flexDirection: 'row',
    alignItems: 'center',
    borderBottomColor: 'rgba(255, 255, 255, 0.2)',
    borderBottomWidth: 1,
    paddingBottom: 16,
  },
  profileName: {
    textAlign: 'center',
    fontSize: 21,
    fontWeight: '600',
    width: screenWidth - 32,
  },
  profileImageContainer: {
    position: 'absolute',
    display: 'flex',
    flexDirection: 'column',
    alignItems: 'center',
    width: screenWidth / 2.5,
    height: screenWidth / 2,
    left: screenWidth / 2 - screenWidth / 5,
    top: screenHeight / 5 - screenWidth / 5,
    zIndex: 100,
  },
  profileImage: {
    width: screenWidth / 2.5,
    height: screenWidth / 2.5,
    borderRadius: screenWidth / 5,
  },
  profileHeaderBottom: {
    width: screenWidth,
    height: screenHeight / 5,
  },
  profileHeaderTop: {
    backgroundColor: '#3477d5',
    width: screenWidth,
    height: screenHeight / 5,
  },
  profileHeaderWrapper: {
    display: 'flex',
    flexDirection: 'column',
    height: screenHeight * 0.4,
  },
  tabMenuIcons: {
    width: screenWidth / 12,
    height: screenWidth / 12,
    margin: 'auto',
  },
  menuIcons: {
    width: screenWidth / 11,
    height: screenWidth / 11,
    marginLeft: 'auto',
    marginTop: 'auto',
    marginRight: 'auto',
    marginBottom: 'auto',
  },
  menuSubItems: {
    marginLeft: 'auto',
    marginTop: 'auto',
    marginRight: 'auto',
    marginBottom: 'auto',
  },
  menuHeader: {
    fontSize: 28,
    textAlign: 'center',
    fontWeight: '600',
    marginBottom: 32,
    marginTop: 24,
  },
  menuTitle: {
    fontSize: 22,
    fontWeight: '600',
    textAlign: 'left',
    marginTop: 24,
    marginBottom: 25,
    color: colorText,
  },
  menuFlexContainer: {
    display: 'flex',
    flexWrap: 'wrap',
    alignContent: 'flex-start',
    width: screenWidth,
    height: screenWidth,
  },
  menuItems: {
    width: screenWidth / 3,
    height: screenWidth / 3,
    shadowColor: '#e8e8e8',
    shadowOffset: { width: 1, height: 1 },
    borderTopWidth: 1,
    borderColor: '#e8e8e8',
  },
  promoText: {
    fontSize: 17,
    textAlign: 'center',
    marginTop: 16,
  },
  promoHeaderText: {
    fontSize: 28,
    fontWeight: '600',
    textAlign: 'center',
    marginTop: (screenWidth - 180) / 2,
  },
  promoPic: {
    resizeMode: 'contain',
    width: screenWidth - 180,
    height: screenWidth - 180,
    left: 90,
    top: 80,
  },
  input: {
    height: 40,
    borderWidth: 0,
    borderBottomColor: '#3634d5',
    borderBottomWidth: 1,
    fontSize: 17,
    width: screenWidth - 32,
    marginLeft: 16,
    marginTop: 0,
    textAlign: 'left',
  },
  loginGradientButton: {
    bottom: 60,
    position: 'absolute',
    borderRadius: 5,
    width: screenWidth - 32,
    marginLeft: 16,
  },
  specializationGradientButton: {
    borderRadius: 5,
    width: screenWidth - 32,
    marginLeft: 16,
    marginBottom: 20,
    marginTop: 10,
  },
  withHeaderView: {
    height: screenHeight,
  },
  TabBar: {
    fontSize: 18,
    fontFamily: 'PTSansNarrow-Bold',
  },
  loginText: {
    fontSize: 17,
    textAlign: 'left',
    marginLeft: 16,
    marginTop: 16,
  },
  headerText: {
    fontSize: 28,
    fontWeight: '600',
    letterSpacing: 0.34,
    textAlign: 'left',
    marginLeft: 16,
  },
  loginHeaderText: {
    fontSize: 28,
    fontWeight: '600',
    letterSpacing: 0.34,
    textAlign: 'center',
    marginTop: 44,
    marginBottom: 44,
  },
  introText: {
    fontSize: 17,
    textAlign: 'center',
  },
  introHeaderText: {
    fontSize: 28,
    fontWeight: '600',
    letterSpacing: 0.34,
    textAlign: 'center',
  },
  introPic: {
    width: screenWidth - 100,
    height: screenWidth - 100,
    left: 50,
  },
  gradientButton: {
    borderRadius: 5,
    shadowColor: '#7b7a7a8a',
    shadowOpacity: 0.8,
    marginTop: 40,
    width: screenWidth - 32,
    marginLeft: 16,
  },
  headerContentContainer: {
    width: screenWidth,
    display: 'flex',
    justifyContent: 'flex-start',
    flexDirection: 'row',
    marginLeft: 10,
  },
  container: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: backgroundScreen,
    padding: 8,
    height: screenHeight,
  },
  containerInnerPage: {
    paddingLeft: 16,
    paddingRight: 16,
  },
  qaText: {
    paddingLeft: 20,
    paddingRight: 16,
    paddingTop: 17,
    marginBottom: 22,
  },
  containerFlexColumn: {
    display: 'flex',
    flexDirection: 'column',
    backgroundColor: backgroundScreen,
  },
  containerFlexRow: {
    display: 'flex',
    flexDirection: 'row',
  },
  containerItemServices: {
    display: 'flex',
    flexDirection: 'row',
    justifyContent: 'space-between',
    marginBottom: 20,
  },
  itemServicesHeader: {
    maxWidth: 226,
    marginRight: 10,
    fontSize: 17,
    color: colorText,
  },
  itemServicesPrice: {
    marginRight: 10,
    fontSize: 17,
    color: colorText,
    flexShrink: 2,
  },
  arrowRightBlock: {
    width: 22,
    height: 22,
  },

  paragraph: {
    margin: 24,
    fontSize: 18,
    fontWeight: 'bold',
    textAlign: 'center',
  },
  communicationPageSubItem: {
    width: screenWidth - 30,
    display: 'flex',
    justifyContent: 'space-between',
    alignItems: 'center',
    padding: 10,
    flexDirection: 'row',
    backgroundColor: '#313131',
  },
  communicationPageItem: {
    width: screenWidth - 20,
    display: 'flex',
    justifyContent: 'space-between',
    alignItems: 'center',
    paddingLeft: 10,
    paddingRight: 9,
    paddingBottom: 20,
    paddingTop: 20,
    flexDirection: 'row',
    backgroundColor: '#313131',
  },
  communicationMenuTitle: {
    marginBottom: 15,
    textAlign: 'center',
  },
  communicationTextContainer: {
    width: screenWidth - 58 - 64,
    marginRight: 10,
  },
  communicationTextHeader: {
    fontSize: 17,
    marginBottom: 13,
    color: colorText,
  },
  communicationTextInfo: {
    fontSize: 17,
    opacity: 0.5,
    maxWidth: 247,
    color: colorText,
  },
  communicationListpic: {
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center',
    height: 48,
    width: 48,
    borderRadius: 24,
    backgroundColor: '#4352ff',
  },
  communicationListpicImg: {
    width: 28,
    height: 28,
  },
  blockDisabled: {
    backgroundColor: '#5B5C5F',
  },
  whiteColor: {
    color: colorText,
  },
  marginBottomBlock: {
    marginBottom: 14,
  },
  marginTopBlock: {
    marginTop: 22,
  },
  contactsBlockFlex: {
    display: 'flex',
    flexDirection: 'row',
    flexWrap: 'wrap',
    justifyContent: 'space-between',
  },
  contactsListHeader: {
    marginBottom: 11,
    fontSize: 18,
    fontWeight: 'bold',
    color: colorText,
    textTransform: 'uppercase',
  },
  contactsListInfo: {
    fontSize: 16,
    lineHeight: 20,
    marginBottom: 10,
    color: 'rgba(255, 255, 255, 0.7)',
  },
  contactsSocialImg: {
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center',
    width: 60,
    height: 60,
    borderRadius: 30,
  },
})

export default styles
